<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // Kiểu dữ liệu String
    var message =" Chào mừng các bạn đến với javascript"
        // ép sang kiểu string
        var number = 12314;
        document.write(typeof number)
        document.write('<br>')
        number = number.toString();
        document.write(number)
        document.write('<hr>')

    //Object function 
        // sử dụng indexOf() để tìm chuỗi con
        var title = 'Chào mừng các bạn đến với kháo đào tạo javascript cơ bản '
        
        document.write(title)
        document.write('<br>')
        document.write('>sử dụng hàm indexOf() ta có')
        document.write('vị trí chuỗi javascript là:  '+ title.indexOf('javascript'))
        // sử dụng lastindexOf() để tìm chuỗi con
        document.write('<br>>sử dụng hàm lastindexOf() ta có')
        document.write('vị trí của chuỗi javascript là:  '+ title.lastIndexOf('javascript'))
        // sử dụng hàm search để tìm kiến chuối con
        document.write('<br>>sử dụng hàm search() ta có')
        document.write('vị trí của chuỗi javascript là:  '+ title.search('javascript'))

        // sử dụng 3 hàm slice, substring and substr để cắt chuỗi
        // hàm slice() trong js
        document.write('<br>Chuỗi cần lấy là:'+ title.slice(0,18)) 
        // hàm substring trong js
        document.write('<br> Chuỗi cần lấy là: '+title.substring(39)) 
        //hàm substr trong js
        document.write('<br> Chuôi cần lấy là: '+ title.substr(18, 20))
        document.write('<hr>')
    // Array Object
        var arr= [2,34,55,4,8,99,32,45,76]
        // in mảng 
        document.write('<br>')
        document.write(arr)
        // in mảng với join
        document.write('<br>')
        document.write(arr.join('-'))     
        // lặp mảng trong javascript
        for( var i=0; i< arr.length; i++){
            document.write('<br>phần tử thứ '+i+' của mảng:  ' +arr[i])
        }
        var i=0;
        while(i< arr.length){
            document.write('<br> phần tử thứ '+i+'của mảng là:  '+ arr[i])
            i++
        }

    //Arry object function 
        // sử dụng valueOf()- dùng để nói các phần tử trong mảng và ngăn cách bởi 1 dấy phẩy, các dùng giống với join()
        document.write('<br>'+arr.valueOf())
        // sử dụng hàm push() để thêm phần tử vào cuối mảng trong javascript
        arr.push('vô hạn')
        document.write('<br>'+ arr.valueOf())
        // sử dụng hàm pop() để xóa phần tử ở cuối mảng
        document.write('<input type="button" id="btn" value="delete end element array">')
         var element = document.getElementById('btn')
         element.addEventListener('click', function(){
             arr.pop();
             document.write('<br>'+ arr.valueOf())
         })

        // sử dụng hàm shift() để xóa phần tử đầu tiên của mảng
        document.write('<br> Xóa phần tử đầu tiên trong mảng')
        arr.shift()
        document.write('<br>'+arr.valueOf())
        // sử dụng hàm unshift() để thêm một phần tử bào đầu mảng
        document.write('<br> thêm phần tử vào đầu mảng')
        arr.unshift("Phần tử 0")
        document.write('<br>'+ arr.valueOf())
        // sử dung hàm splice để thêm và xóa phần tử tại 1 vị trí trong mảng
        arr.splice(1,3,"Phần tử 0", '111')
        document.write('<br>'+ arr.valueOf())
         // sử dụng hàm sort để sắp xếp mảng
         arr.sort();
         document.write('<br>Mảng được sắp xếp :' + arr.valueOf())
         // sử dụng hàm reverse() để đảo ngược mảng
         arr.reverse();
         document.write('<br>Mảng đã đảo ngược: ' + arr.valueOf())
         // sử dụng hàm concat() để nối 2 mảng với nhau
         arr2=[3232,4341,54545,7676]
         var arr3= arr.concat(arr2)
         document.write('<br>Mảng được nối :' + arr3.valueOf())
    </script>
</body>
</html>